- Main Page
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Typedefs | Functions

# fbxmodule.h File Reference

`#include <fbxsdk/fbxsdk_def.h>`
`#include <fbxsdk/fbxsdk_nsbegin.h>`
`#include <fbxsdk/fbxsdk_nsend.h>`

Go to the source code of this file.

## Typedefs
typedef void * | FbxModule
## Functions
FBXSDK_DLL FbxModule | FbxModuleLoad (const char *pFilePath)
| Loads the specified module into the address space of the calling process.
FBXSDK_DLL void * | FbxModuleGetProc (FbxModule pModuleHandle, const char *pProcName)
| Retrieves the address of an exported function or variable from the specified module.
FBXSDK_DLL bool | FbxModuleFree (FbxModule pModuleHandle)
| Frees the loaded module and, if necessary, decrements its reference count.

## Detailed Description

Definition in file fbxmodule.h.

## Typedef Documentation

typedef void* FbxModule

Search for all occurrences

Definition at line 20 of file fbxmodule.h.

## Function Documentation

FBXSDK_DLL FbxModule FbxModuleLoad | ( | const char * | pFilePath | ) |

Search for all occurrences

Loads the specified module into the address space of the calling process.

Parameters:

  pLibFilePath | The full file path name of the module to load.

Returns:
  The module handle if it successfully loaded, otherwise NULL.

Remarks:
  The specified module may cause other modules to be loaded.

FBXSDK_DLL void* FbxModuleGetProc | ( | FbxModule | pModuleHandle,
|  | const char * | pProcName
| ) |  |

Search for all occurrences

Retrieves the address of an exported function or variable from the specified module.

Parameters:

  pModuleHandle | A valid module handle.
  pProcName | The procedure name to search.

Returns:
  The procedure handle if valid, otherwise NULL.

FBXSDK_DLL bool FbxModuleFree | ( | FbxModule | pModuleHandle | ) |

Search for all occurrences

Frees the loaded module and, if necessary, decrements its reference count.

Parameters:

  pModuleHandle | A valid module handle.

Returns:
  `true` on success, `false` otherwise.

Remarks:
  When the reference count reaches zero, the module is unloaded from the address space of the calling process and the handle is no longer valid.